Check&Place API Reference
HomeSimpra POSSimpra InventoryCheck&Place
HomeSimpra POSSimpra InventoryCheck&Place
  1. Revenue Centers
  • Introduction
  • Customers
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Off Days
    • index
      GET
  • Reservation Payments
    • Activate or deactivate a payment request
      PATCH
    • Create a new payment request for a reservation
      POST
    • Update an existing payment request
      PATCH
    • Reactivate an expired or cancelled payment request
      PATCH
  • Reservation Requests
    • approve
      PATCH
    • create
      POST
    • index
      GET
    • reject
      PATCH
    • update
      PATCH
  • Reservations
    • check-in
      PATCH
    • create
      POST
    • index
      GET
    • update
      PATCH
  • Revenue Centers
    • index
      GET
  • Reviews
    • index
      GET
  • Stores
    • show
      GET
  • Tables
    • index
  • Online Reservation Requests
    • request-slot-hours
    • request-slots-availability
    • request-unavailable-dates
  • Online Reservations
    • slot-hours
    • slots-availability
    • unavailable-dates
  1. Revenue Centers

index

Production
https://api.checkandplace.com
Production
https://api.checkandplace.com
GET
/v1/revenue_centers

Request

Authorization
API Key
Add parameter in header
CheckandPlace-Access-Token
Example:
CheckandPlace-Access-Token: ********************
or
Query Params

Responses

🟢200
application/json
successful
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.checkandplace.com/v1/revenue_centers?page=1&per_page=50' \
--header 'CheckandPlace-Access-Token: <api-key>'
Response Response Example
{
    "meta": {
        "has_next_page": false,
        "current_page": 1,
        "total_count": 2,
        "page_count": 1
    },
    "revenue_centers": [
        {
            "id": "351d192b-f3aa-4a9b-aa57-aa2bc866f63c",
            "name": "Main Hall",
            "translations": [
                {
                    "name": "Ana Salon",
                    "locale": "tr"
                }
            ],
            "parent_revenue_center_id": null,
            "store_id": "48e97831-8493-4351-86ac-74f6558ddc17",
            "object_num": null,
            "is_active": true
        },
        {
            "id": "63692cec-be42-417f-95f7-e3b6a1708c72",
            "name": "Terrace",
            "translations": [
                {
                    "name": "Teras",
                    "locale": "tr"
                }
            ],
            "parent_revenue_center_id": null,
            "store_id": "78ab0587-f69f-49ff-92dc-9fcbda94804d",
            "object_num": null,
            "is_active": false
        }
    ]
}
Modified at 2026-05-06 13:06:45
Previous
update
Next
index
Built with